using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Exemplos_DataGrid : System.Web.UI.Page
{

    public Clsdb2 Auxdb = new Clsdb2();

    protected void Page_Load(object sender, EventArgs e)
    {
            
            //comando para consulta sql
            string AuxSql = " select CodDisc as Cdigo, ";
            AuxSql += " NomeDisc as Disciplina, ";
            AuxSql += " Ementa ";
            AuxSql += " from Disciplinas ";
            AuxSql += " where hbt <> '-1' ";
            AuxSql += " order by CodDisc ";

            //executa a consulta atravs classe
            Session["Tb1"] = Auxdb.FillTable(AuxSql);

            //indica fonte de informao
            Dg1.DataSource = Session["Tb1"];

            //Carrega os dados
            Dg1.DataBind();
        //}   
            
    }

    protected void Dg1_SelectedIndexChanged(object sender, EventArgs e)
    {
        LblRetorno.Text = Dg1.SelectedItem.Cells[2].Text;    
    }


#region "Navigator"

    public void AuxBind()
    {
        //indica fonte de informao
        Dg1.DataSource = Session["Tb1"];
        //Carrega os dados
        Dg1.DataBind();
    }

    protected void Dg1_PageIndexChanged(object source, DataGridPageChangedEventArgs e)
    {
      //  Dg1.CurrentPageIndex = '1';
    }


    protected void BtnFirst_Click(object sender, EventArgs e)
    {
        Dg1.CurrentPageIndex = 0;
        AuxBind();
    }
    
    protected void BtnPrev_Click(object sender, EventArgs e)
    {
        //verifica se  a primeira pagina 
        //a primeira pagina tem o indice 0
        if (Dg1.CurrentPageIndex != 0)
        {
        Dg1.CurrentPageIndex = Dg1.CurrentPageIndex - 1;
        AuxBind();
        }

    }
    protected void BtnNext_Click(object sender, EventArgs e)
    {
        //verifica se  a ultima pagina
        //Dg1.PageCount indica o total de paginas
        //como o indice comea com 0 
        //faa total de paginas -1
        
        if (Dg1.CurrentPageIndex != Dg1.PageCount - 1)
        {
            Dg1.CurrentPageIndex = Dg1.CurrentPageIndex + 1;
            AuxBind();
        }
    }

    protected void BtnLast_Click(object sender, EventArgs e)
    {
        //Int32 CPg = 0;
        //CPg = Dg1.PageCount - 1;
   
        Dg1.CurrentPageIndex = Dg1.PageCount -1;
        AuxBind();
    }

#endregion


    

}
