using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebForms_CadAlu : System.Web.UI.Page
{
    public Clsdb2 Auxdb = new Clsdb2();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            FillDg();
            LblCodAluno.Text = Auxdb.GetIndex("CodAluno", "alunos");
        }
    }
    protected void TxtDtNas_TextChanged(object sender, EventArgs e)
    {
     VerificaIdade(Convert.ToDateTime(TxtDtNas.Text));
    }

    private void VerificaIdade (System.DateTime DtNas)
    {
        DateTime DataAtual = DateTime.Now;
 
        int Dt1;
        int Dt2;
        int Dt3;
        //Recebe a ano da data de nascimento
        Dt1 = DtNas.Date.Year;
        //Recebe o ano Atual
        Dt2 = DataAtual.Date.Year;
        //calcula a idade
        Dt3 = Dt2 - Dt1;
        //Comparo a idade
        
        if (Dt3 >= 18)
        {
            PnlResp.Visible = false;
        }
        else
        {
            PnlResp.Visible = true;
        }

    }

    
    #region "Navigator"

    public void AuxBind()
    {
        //indica fonte de informao
        Dg1.DataSource = Session["Tb1"];
        //Carrega os dados
        Dg1.DataBind();
    }

    protected void Dg1_PageIndexChanged(object source, DataGridPageChangedEventArgs e)
    {
        //  Dg1.CurrentPageIndex = '1';
    }


    protected void BtnFirst_Click(object sender, EventArgs e)
    {
        Dg1.CurrentPageIndex = 0;
        AuxBind();
    }

    protected void BtnPrev_Click(object sender, EventArgs e)
    {
        //verifica se  a primeira pagina 
        //a primeira pagina tem o indice 0
        if (Dg1.CurrentPageIndex != 0)
        {
            Dg1.CurrentPageIndex = Dg1.CurrentPageIndex - 1;
            AuxBind();
        }

    }

    protected void BtnNext_Click(object sender, EventArgs e)
    {
        //verifica se  a ultima pagina
        //Dg1.PageCount indica o total de paginas
        //como o indice comea com 0 
        //faa total de paginas -1

        if (Dg1.CurrentPageIndex != Dg1.PageCount - 1)
        {
            Dg1.CurrentPageIndex = Dg1.CurrentPageIndex + 1;
            AuxBind();
        }
    }

    protected void BtnLast_Click(object sender, EventArgs e)
    {
        //Int32 CPg = 0;
        //CPg = Dg1.PageCount - 1;

        Dg1.CurrentPageIndex = Dg1.PageCount - 1;
        AuxBind();
    }

    public void FillDg()
    {
        //comando para consulta sql
        string AuxSql = " select CodDisc as Cdigo, ";
        AuxSql += " NomeDisc as Disciplina, ";
        AuxSql += " Ementa ";
        AuxSql += " from Disciplinas ";
        AuxSql += " where hbt <> '-1' ";
        AuxSql += " order by CodDisc ";

        //executa a consulta atravs classe
        Session["Tb1"] = Auxdb.FillTable(AuxSql);

        //indica fonte de informao
        Dg1.DataSource = Session["Tb1"];

        //Carrega os dados
        Dg1.DataBind();
        //}   
    }


    #endregion

    protected void Dg1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string msg;
        string AuxSql = "update Alunos ";
        AuxSql += " set CodDisc = '" + Dg1.SelectedItem.Cells[1].Text + "'";
        AuxSql += "Where CodAluno = '" + LblCodAluno.Text + "'";

        Auxdb.Executecommand(AuxSql);

        PnlDisc.Visible = false;
        
        msg = "<script language=javascript> ";
        msg += "alert('O cadastro efetuado do aluno ";
        msg +=  TxtNome.Text;
        msg += " ');</script>";

        Response.Write(msg);

    }
    
    protected void BtnNext1_Click1(object sender, EventArgs e)
    {
   
        string AuxIndex = "";
        string AuxIndexResp = "";
        
        //recebe o indece do aluno novo
        AuxIndex = Auxdb.GetIndex("CodAluno", "Alunos");
        //Recebe o Indice do responsavel
        AuxIndexResp = Auxdb.GetIndex("CodRes", "Alunos");
        
        String Auxsql="Insert Into Alunos (";
        Auxsql+="CodAluno,NomeAluno,Dtnas,Sexo,Nmres,CodRes,Hbt)";
        Auxsql+="Values(";
        Auxsql+="'" + AuxIndex + "',";
        Auxsql+= "'" + TxtNome.Text + "',";
        Auxsql+= "'" + TxtDtNas.Text + "',";
        Auxsql += "'" + RdblSexo.SelectedItem.Value + "',"; 
        Auxsql+= "'" + TxtNomeResp.Text + "',";
        Auxsql+="'" + AuxIndexResp + "',";
        Auxsql += "'1'";
        Auxsql += ")";

        if (PnlResp.Visible == false)
        {
            Auxsql = "Insert Into Alunos (";
            Auxsql += "CodAluno,NomeAluno,Dtnas,Sexo,Hbt)";
            Auxsql += "Values(";
            Auxsql += "'" + AuxIndex + "',";
            Auxsql += "'" + TxtNome.Text + "',";
            Auxsql += "'" + TxtDtNas.Text + "',";
            Auxsql += "'" + RdblSexo.SelectedItem.Value + "',";
            Auxsql += "'1'";
            Auxsql += ")";
          }
//O comando em SQL  Insert into NomedaTabela(NomedoCampo)Values('variveldetexto','variaval')


        Auxdb.Executecommand(Auxsql);

        PnlDisc.Visible = true;
        PnlAluno.Visible = false;
        
        if (PnlResp.Visible = true)
        {
            PnlResp.Visible = false;
        }
        BtnNext1.Visible = false;
        }
    }
